Get Citations

Retrieves citations data with core metrics (Used Share, Type, Tags, Citation Share) for a specified Project, grouped by dimension (domain, url, query). When using groupBy=queryId, additional fields (queryId, query, queryRegion, topicId, topicTitle) are included in the response. Supports filtering by platform (e.g., ChatGPT, DeepSeek), date range up to 1 month, optional region filtering, pagination, and sorting by multiple fields. Note: citation type filtering is not supported when dimension is 'query'.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

The ID of the Project to retrieve citations for (e.g., project tracking Acme Limited).

string
enum
required
Defaults to query

The dimension to group the citations by. When set to 'query', citation type filtering is not supported.

Allowed:
string
enum
required

The date range for the data. Use 'custom' for specific dates.

Allowed:
date

Start date for custom date range (YYYY-MM-DD). Required if dateRange is 'custom'.

date

End date for custom date range (YYYY-MM-DD). Required if dateRange is 'custom'.

string

The region code to filter data (e.g., 'US' for United States). If not provided, returns data for all regions.

string

The platform to filter data (e.g., 'openai:chatgpt' for ChatGPT). If not provided, returns data for all platforms. It supports multiple values with comma-separated values e.g. "openai:chatgpt,google:ai-overview".

integer
1 to 100
Defaults to 10

The number of records to return per page. Defaults to 10.

string

A token identifying the starting point for the next page of results. Use an empty string for the first page.

string

Fields to sort by, as a JSON array of objects with 'name' (field) and 'value' (direction) properties (e.g., '[{"name":"usedShare","value":"asc"},{"name":"citationShare","value":"desc"}]'). Valid names: usedShare, citationShare, dimensionValue. Valid values: asc, desc. Defaults to '[{"name":"dimensionValue","value":"asc"}]'.

string

Fields to filter query, as a JSON object (e.g., '{"key-1": ["val-1-1", "val-1-2"], "key-2": ["val-2-1"]}')

string
enum

Group citation results by query. When set to 'queryId', the response includes queryId, query, queryRegion, topicId, and topicTitle fields.

Allowed:
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json